<!DOCTYPE html>
<html>
<head>
    <title>Task 3B.1 - Làm việc với mảng và for</title>
</head>
<body>
    <h3>Làm việc với mảng và vòng lặp for!!!!</h3>
</body>

<script>
    // Viết code Javascript thực hiện bài tập ở đây
    var mangSo = [2,5,6,9,12,19,34];
    console.log(mangSo);
    for (var ind = 0; ind < mangSo.length; ind++) {
        console.log("Lần duyệt thứ: " + (ind + 1) + ":" + mangSo[ind]);
    }

    //ST1: Khai báo một mảng các số có các phần tử:  -1,  10, -10, 4, 8, 2, 9
    var arrNumber = [-1,  10, -10, 4, 8, 2, 9];

    //ST2: Khai báo một mảng các chuỗi có các phần tử: “Cộng hòa”, “Việt Nam”, “Xin chào”, “Hello”
    var arrString = ["Cộng hòa", 'Việt Nam', 'Xin chào', "Hello"];

    //ST3: Ghi ra console phần tử thứ 3 và phần tử thứ 7 của mảng (1)
    console.log(arrNumber);
    console.log(arrNumber[2]);
    console.log(arrNumber[6]);

    //ST4: Ghi ra console phần tử thứ 1 và phần tử thứ 4 của mảng (2)
    console.log(arrString);
    console.log(arrString[0]);
    console.log(arrString[3]);

    //ST5: Dùng vòng lặp for để ghi ra console tất cả các phần tử của mảng (2)
    for (var index = 0; index < arrString.length; index++) {
        console.log("Phần tử thứ " + (index + 1) + ": " + arrString[index]);
    }

    //ST6: Dùng vòng lặp for để cộng thêm 2 cho từng phần tử ở mảng (1), rồi ghi ra console
    console.log(arrNumber);
    for (var index = 0; index < arrNumber.length; index++ ) {
        //yc1: cộng thêm 2 cho các phần tử
        //arrNumber[index] = arrNumber[index] + 2;
        console.log("Phần tử thứ " + (index + 1) + " trước khi tăng: " + arrNumber[index]);
        arrNumber[index] += 2;

        /*arrNumber[index] = arrNumber[index] - 2 + abc;
        arrNumber[index] -= 2 + abc;

        arrNumber[index] = arrNumber[index] * 2;
        arrNumber[index] *= 2;*/    

        //yc2: in phần tử đó ra console log
        console.log("Phần tử thứ " + (index + 1) + " sau khi tăng: " + arrNumber[index]);
    }

</script>
</html>